Skip to main content
GET
Get project analytics views

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_id
string
required

Project ID.

Query Parameters

view
enum<string>
required

Analytics view to return.

Available options:
base,
window,
model_scorecard,
agent_scorecard,
tool_aggregates,
roi
start_inclusive
string

Inclusive window start (ISO-8601).

end_exclusive
string

Exclusive window end (ISO-8601).

max_bytes
integer

Optional response byte budget; maximum 65536.

Required range: 1 <= x <= 65536
granularity
enum<string>

day, week, or month.

Available options:
day,
week,
month

Response

Project analytics view

view
string
required
Allowed value: "base"
payload
object
required